Description

When picking a datastore to use on a VMWare compute resource, the list of Data Store's should only contain Data Stores that are

valid for the particular cluster that the user picked.  Instead, it displays a list of all data stores associated with the vSphere instance

(multiple clusters).  This allows for user error which results in a weird obscure error in Foreman and vSphere.

Additionally, it would be nice if we could show free space information for each data store.  This would help the user decide which

Data Store the new VM should be placed in.

Related issues:

Related to Foreman - Bug #19424: VMware provisioning displays all IP address New 04/28/2017

Related to Foreman - Feature #23369: load vmware datastore options asynchrono... Closed

Has duplicate Foreman - Bug #2178: VMware - Cluster and asociated datastores Duplicate 02/04/2013

Has duplicate Foreman - Feature #2886: Support for VMWare data store clusters Duplicate 08/06/2013

Has duplicate Foreman - Feature #15115: Filter datastore and network selection Duplicate 05/20/2016

Associated revisions

Revision 870d4598 - 02/20/2019 03:10 PM - Ondřej Ezr

Fixes #2113 - VMware filter datastores

History

#1 - 01/07/2013 10:12 AM - Sam Kottler

- Target version set to 1.2.0

These are all great suggestions that we should work on. Since we are getting close to the 1.1 final release, I'm adding this to the 1.2 backlog.

#2 - 05/10/2013 04:03 AM - Dominic Cleal

- Target version deleted (1.2.0)

#3 - 08/06/2013 08:26 AM - Dominic Cleal

- Has duplicate Feature #2886: Support for VMWare data store clusters added

#4 - 08/13/2013 03:04 PM - Josh Baird

Additional request - user should have the option to thin or thick provision storage.  Currently, everything is thin provisioned with no option to thick

provision.

#5 - 11/02/2013 11:48 AM - Dmitry Sakun

Voting for this one as it's really nice to have this feature otherwise you still have to look into vsphere for a datastore and that breaks the idea of

foreman.

May be adding some caching mechanism for the volumes and networks will improve the speed of enumeration process which may take  a long time
in big Datacenters.

#6 - 05/19/2014 02:30 PM - Derek Wright

1, I'm working on rolling Foreman out to our production data store and I've noticed when we have hundreds of datastores/networks in our vcenter it

slows things down considerably. It seems to really be a pain point for people when trying to use the UI and loading the compute profile takes about 30

secs. If it could load only relevant resources for the datacenter selected, load times may increase.

Info from log:

Started GET "/hosts/hostname.domain.com/edit" for x.x.x.x at 2014-05-19 10:27:43 -0400

Processing by HostsController#edit as HTML

Parameters: {"id"=>"hostname.domain.com"}

Rendered hosts/_progress.html.erb (0.1ms)

Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)

Rendered puppetclasses/_classes_in_groups.html.erb (0.0ms)

Rendered puppetclasses/_classes.html.erb (6.5ms)

Rendered puppetclasses/_class_selection.html.erb (111.4ms)

Successfully decrypted field for Foreman::Model::Vmware Company-WDC-Core

Rendered compute_resources_vms/form/vmware/_network.html.erb (2732.7ms)

Rendered compute_resources_vms/form/vmware/_network.html.erb (2718.9ms)

Rendered compute_resources_vms/form/vmware/_volume.html.erb (16939.5ms)

Rendered compute_resources_vms/form/vmware/_volume.html.erb (18282.3ms)

Rendered compute_resources_vms/form/vmware/_volume.html.erb (17240.1ms)

Rendered compute_resources_vms/form/_vmware.html.erb (59663.2ms)

Rendered hosts/_compute.html.erb (60428.7ms)

Rendered common/_domain.html.erb (23.2ms)

Rendered hosts/_interfaces.html.erb (13.3ms)

Rendered common/os_selection/_architecture.html.erb (4.5ms)

Rendered common/os_selection/_operatingsystem.html.erb (12.9ms)

Rendered hosts/_operating_system.html.erb (23.0ms)

Rendered hosts/_unattended.html.erb (60518.2ms)

Rendered puppetclasses/_class_parameters.html.erb (0.0ms)

Rendered puppetclasses/_classes_parameters.html.erb (15.3ms)

Rendered common_parameters/_inherited_parameters.html.erb (135.1ms)

Rendered common_parameters/_puppetclass_parameter.html.erb (2.7ms)

Rendered common_parameters/_puppetclasses_parameters.html.erb (6.4ms)

Rendered common_parameters/_parameter.html.erb (1.5ms)

Rendered common_parameters/_parameters.html.erb (5.0ms)

Rendered hosts/_form.html.erb (60901.7ms)

Rendered hosts/edit.html.erb within layouts/application (60903.9ms)

Rendered home/_user_dropdown.html.erb (2.2ms)

Read fragment views/tabs_and_title_records-5 (0.2ms)

Rendered home/_topbar.html.erb (3.9ms)

Rendered layouts/base.html.erb (6.1ms)

Completed 200 OK in 60933ms (Views: 60884.6ms | ActiveRecord: 31.4ms)

#7 - 04/30/2015 05:05 AM - Virgil Chereches

+1 for datastore cluster support

#8 - 08/26/2015 01:18 PM - larry campbell

1 for datastore cluster filter from me as well.  I notice this feature request has 11 votes and still hasn't been assigned in 2 years... is there another

issue blocking or duplicate of this?

#9 - 10/24/2015 10:29 AM - Anonymous

- Description updated

It's mostly limited by the developer's time looking into it, maybe this also requires changes to fog (I don't know!). Like every open source project we

are more than willing to accept pull requests also for this issue, there has just to be somebody who is doing all the work at the end...

#10 - 10/24/2015 10:30 AM - Anonymous

- Category changed from VM management to Compute resources - VMware

#11 - 05/25/2016 02:38 AM - Timo Goebel

- Has duplicate Feature #15115: Filter datastore and network selection  added

#12 - 05/25/2016 05:06 AM - Timo Goebel

- Assignee set to Timo Goebel
#13 - 05/25/2016 07:41 AM - Angelo Lisco

As I requested though #15115, a filtered selection would also be really useful on the network tab as well.

Thank you Timo for taking care of this ;)

#14 - 05/30/2016 10:54 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3559 added

#15 - 05/16/2017 05:54 AM - Angelo Lisco

- Related to Bug #19424: VMware provisioning displays all IP address added

#16 - 10/27/2017 06:41 PM - Marek Hulán

- Bugzilla link set to 1489516

#17 - 02/23/2018 01:18 PM - Daniel Lobato Garcia

- Bugzilla link changed from 1489516 to 1467709

#18 - 04/23/2018 08:13 PM - Timo Goebel

- Related to Feature #23369: load vmware datastore options asynchronously added

#19 - 01/29/2019 03:32 PM - Marek Hulán

- Bugzilla link changed from 1467709 to 1489516

#20 - 01/30/2019 09:57 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6442 added

#21 - 02/20/2019 04:01 PM - Marek Hulán

- Fixed in Releases 1.22.0 added

#22 - 02/20/2019 04:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset 870d459893b9510f22314e2e6e1c8e3fead88a55.

Powered by TCPDF (www.tcpdf.org)

05/10/2024 3/3

https://projects.theforeman.org/issues/15115
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/870d459893b9510f22314e2e6e1c8e3fead88a55
http://www.tcpdf.org

